/// <reference types="react-notification-system" />
/// <reference types="react" />
import * as React from "react";
import { Notification, Attributes } from "react-notification-system";
import "./notifier.scss";
export { Notification };
export declare type Props = Attributes & {
    notifications: Notification[];
};
export declare class Notifier extends React.Component<Props, {}> {
    private notificationSystem;
    constructor(p: Props);
    componentDidMount(): void;
    componentWillReceiveProps(np: Props): void;
    render(): JSX.Element;
}
export default Notifier;
