export declare const writeopts: (body: any) => {
    headers: {
        'Content-Type': string;
        'Accept': string[];
    };
};
export declare type Handlers = {
    result: (o) => void;
    start?: (o) => void;
    end?: (o) => void;
    log?: (o) => void;
    fail?: (o) => void;
    error?: (o) => void;
};
export declare const channelapi: (basePath: string) => {
    get: (url: string, handlers: Handlers, opts?: {}) => Promise<{}>;
    post: (url: string, handlers: Handlers, body: any, opts?: any) => Promise<{}>;
    put: (url: string, handlers: Handlers, body: any, opts?: any) => Promise<{}>;
    del: (url: string, handlers: Handlers, body?: any, opts?: any) => Promise<{}>;
};
export default channelapi;
