"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var baseapi_1 = require("./baseapi");
exports.userapi = function (baseurl) {
    var base = baseurl + "/user";
    return {
        fetchAll: function () { return baseapi_1.default(base).get(); },
        fetchOne: function (username) { return baseapi_1.default(base).get(encodeURIComponent(username)); },
        logged: function () { return baseapi_1.default(base).get('logged'); },
        saveOne: function (user) { return baseapi_1.default(base).put(encodeURIComponent(user.username), user); }
    };
};
exports.default = exports.userapi;
//# sourceMappingURL=userapi.js.map