/// <reference types="react" />
import * as React from "react";
import "./selectabletable.scss";
import { Props as FTProps } from "./filteredtable";
export declare type Props<T> = FTProps<T> & {
    selected?: boolean;
    onChangeSelection?: Function;
};
export declare type ChildProps<T> = {
    selected?: T[];
};
export declare type State = {
    selection: boolean[];
    allCheckbox: boolean;
};
declare class SelectableTable<T> extends React.Component<Props<T>, State> {
    constructor(p: Props<T>);
    componentWillMount(): void;
    componentWillReceiveProps(n: Props<T>): void;
    buildChildProps(selected: T[]): ChildProps<T>;
    onToggleSelectAll(e: any): void;
    onChangeSelection(value: any, data: any, cellProps: any): void;
    getSelected(): T[];
    render(): JSX.Element;
}
export default SelectableTable;
